purescript-0.15.12: PureScript Programming Language Compiler

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.PureScript.Interactive.Completion

Synopsis

- type CompletionM = ReaderT PSCiState IO
- liftCompletionM :: (MonadState PSCiState m, MonadIO m) => CompletionM a -> m a
- completion :: (MonadState PSCiState m, MonadIO m) => CompletionFunc m
- completion' :: CompletionFunc CompletionM
- formatCompletions :: (String, [Completion]) -> [String]

# Documentation

type CompletionM = ReaderT PSCiState IO #

liftCompletionM :: (MonadState PSCiState m, MonadIO m) => CompletionM a -> m a #

completion :: (MonadState PSCiState m, MonadIO m) => CompletionFunc m #

Loads module, function, and file completions.

completion' :: CompletionFunc CompletionM #

formatCompletions :: (String, [Completion]) -> [String] #

Convert Haskeline completion result to results as they would be displayed